Packages - Bug #2779

[marble-common] ARM build failure
2020-05-17 03:32 PM - dllud

Status: not-a-bug % Done: 0%
Priority: bug
Assignee:

Category:

Description
Hi,

| am getting the following error when trying to launch marble-qt:

marble-gt: symbol lookup error: marble-qt: undefined symbol:
_ZN6Marble18MarblelnputHandler27setMouseViewRotationEnabledEb

My guess is that it comes from the outdated marble-common in libre.

# pacman -Ss marble

libre/marble-common 18.12.2-1.parabolal [installed]
Common libraries and plugins for Marble

extra/marble 20.04.1-1 (kde—applications kdeedu)
Desktop Globe

extra/marble-gt 20.04.1-1 [installed]
Desktop Globe (Qt version)

marble-common was introduced into libre by oaken-source as part of issue #2117.

History

#1 - 2020-05-25 10:08 PM - dllud
- File PKGBUILD added
- File 0001-libre-marble-update-marble-common-to-20.04.1.patch added

Confirmed. | grabbed the PKGBUILD from libre and updated it to 20.04.1 as per the PKGBUILD from Arch Installing the resulting marble-common
package fixes the symbol lookup error and lets marble-qt run with no issues.

| am attaching my patch in case you want to apply it to abslibre. | am attaching the complete PKGBUILD as well.

If no Parabola maintainer can find the time to keep this package up-to-date, | can volunteer to do so.

#2 - 2020-05-25 11:31 PM - bill-auger

for most packages, we dont really have a dedicated maintainer -
when something needs re-building or upgrading, whoever has the
time will usually just do it

it is always encouraged for anyone to help maintain packages -

that makes it easier for "whoever" to find the time to package

it, when there is a known good PKGBULID, that someone has already
checked it over for problems

any PKGBUILD or patch for an existing parabola package, that is
sent to the dev mailing list, with [PATCH] in the message
subject, will be considered - if you make any significant

changes, feel free to add yourself as a "Contributor:", if you

want to

#3 - 2020-05-26 02:12 AM - dllud

bill-auger Thanks for pointing me to the correct channel to send patches to.
I've just sent the patch to the dev mailing list. Unfortunately | wasn't subscribed before sending, therefore it is awaiting moderator approval. Hope you
can accept it. Thanks!
https://labs.parabola.nu/issues/2117
https://git.parabola.nu/abslibre.git/tree/libre/marble/PKGBUILD
https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/marble
https://labs.parabola.nu/users/282

#4 - 2020-05-26 11:02 AM - bill-auger
ok, i will pass it on - you wont see any replies though, if
there are follow-questions, unless you subscribe

https://lists.parabola.nu/mailman/listinfo/dev

#5 - 2020-05-26 01:32 PM - dllud

Thanks. | did subscribe to the list after that. I'll keep an eye on it
I'll close this issue once/if the patch gets merged and the package is rebuilt and put into libre.

#6 - 2020-05-27 08:49 PM - dllud

This issue can now be closed. The new version fixing the issue was now pushed into libre by GNUtoo.

#7 - 2020-05-27 09:43 PM - bill-auger

i dont see how that could be - you sent the new PKGBUILD only 2 days ago; and GNUtoo build it only yesterday, yes? - pacman thinks that package
has not been updated since 4 days ago for i686 and 10 days ago for the other two arches

1686 Extra marble—-qgt 20.04.1-1.0 2020-05-23
x86_64 Extra marble-qgt 20.04.1-1 2020-05-16
armv7h Extra marble-gt 20.04.1-1 2020-05-16

#8 - 2020-05-27 09:49 PM - dllud

That's the marble-qt package. That one comes from upstream (Arch), as it needs no modifications.
The one that was updated and pushed into libre is marble-common
Only marble-common had the dependency on qgt5-webengine, which was removed as part of #2117

#9 - 2020-05-27 09:51 PM - dllud

| did add [marble-qt] to the title of this bug report because that's the package where the error showed itself. But the underlying problem came from the
outdated marble-common.

#10 - 2020-05-27 10:24 PM - bill-auger

ok so the ARM package of marble-common still needs updating

#11 - 2020-05-27 10:54 PM - GNUtoo

| tried to build on ARM several times if my memory is correct and it failed the build. Here's the last attempt:

[ 5%] Automatic MOC for target astro

[ 5%] Built target sgp4_autogen

Scanning dependencies of target MarbleDeclarativePlugin_Resources

[ 5%] Built target MarbleDeclarativePlugin_Resources

[ 5%] Built target astro_autogen

Scanning dependencies of target marble-behaim_resources

Scanning dependencies of target marble-maps_resources

[ 5%] Built target translation_pt_BR_marble_gt

[ 5%] Built target marble-behaim_resources

[ 5%] Built target marble-maps_resources

Scanning dependencies of target org.kde.plasma.worldclock-plasmoids-metadata-json

Scanning dependencies of target org.kde.plasma.worldmap-wallpapers-metadata-json

[ 5%] Generating org.kde.plasma.worldclock-plasmoids—-metadata.json

[ 6%] Generating org.kde.plasma.worldmap-wallpapers-metadata.json

make[2]: *** [doc/CMakeFiles/doc—-index-cache-bz2.dir/build.make:82: doc/index.cache.bz2] Segmentation fault (c
ore dumped)

make[l]: *** [CMakeFiles/Makefile2:3534: doc/CMakeFiles/doc-index-cache-bz2.dir/all] Error 2

make[1l]: *** Waiting for unfinished jobs....

Scanning dependencies of target marble_Resources

[ 6%] Built target marble_Resources

make[2]: *** [src/plasma/applets/worldclock/CMakeFiles/org.kde.plasma.worldclock-plasmoids-metadata-json.dir/b
uild.make:81: src/plasma/applets/worldclock/org.kde.plasma.worldclock-plasmoids—-metadata.json] Segmentation fa
ult (core dumped)

make[l]: *** [CMakeFiles/Makefile2:8154: src/plasma/applets/worldclock/CMakeFiles/org.kde.plasma.worldclock-pl
asmoids-metadata-json.dir/all] Error 2

make[2]: *** [src/plasma/wallpapers/CMakeFiles/org.kde.plasma.worldmap-wallpapers-metadata-json.dir/build.make
:81l: src/plasma/wallpapers/org.kde.plasma.worldmap-wallpapers-metadata.json] Segmentation fault (core dumped)
make[l]: *** [CMakeFiles/Makefile2:8181: src/plasma/wallpapers/CMakeFiles/org.kde.plasma.worldmap-wallpapers-m
etadata-json.dir/all] Error 2

make: *** [Makefile:183: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

The build was launched on a TBS2910 with mostly upstream u-boot (configuration patches pending) that has an I.MX6Q and 2G of RAM.

| can retry again to see if the error is the same.

#12 - 2020-05-28 12:52 AM - bill-auger
- Status changed from unconfirmed to confirmed

- Subject changed from [marble-qt] symbol lookup error - try a marble-common rebuild to [marble-common] ARM build failure

#13 - 2021-01-12 05:23 PM - dllud
- File 0001-libre-marble-update-marble-common-to-20.12.1.patch added

marble-qt is again failing:
marble-qgt: symbol lookup error: marble-gt: undefined symbol: _ZN6Marble11FileManager16staticMetaObjectE
Updating and rebuilding marble-common fixed it. I've just sent the patch to the mailing list. | am also attaching it here.

#14 - 2021-01-15 09:32 PM - bill-auger

- Status changed from confirmed to not-a-bug

marble-common 20.12.1 builds for ARM

Files

0001-libre-marble-update-marble-common-to-20.04.1.patch 1.68 KB 2020-05-25 dllud

PKGBUILD 2.14 KB 2020-05-25 dllud

0001-libre-marble-update-marble-common-to-20.12.1.patch 2.62 KB 2021-01-12 dllud
